numeric_traits.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Macros

#define | __glibcxx_digits10(_Tp)
#define | __glibcxx_floating(_Tp, _Fval, _Dval, _LDval)
#define | __glibcxx_max_digits10(_Tp)
#define | __glibcxx_max_exponent10(_Tp)
#define | _GLIBCXX_INT_N_TRAITS(T, WIDTH)

## Typedefs

template<typename _Tp>
using | __gnu_cxx::__int_traits

## Variables

template<typename _Value>
const int | __gnu_cxx::__numeric_traits_floating< _Value >::__digits10
template<typename _Value>
const bool | __gnu_cxx::__numeric_traits_floating< _Value >::__is_signed
template<typename _Value>
const int | __gnu_cxx::__numeric_traits_floating< _Value >::__max_digits10
template<typename _Value>
const int | __gnu_cxx::__numeric_traits_floating< _Value >::__max_exponent10
template<typename _Value>
const int | __gnu_cxx::__numeric_traits_integer< _Value >::__digits
template<typename _Value>
const bool | __gnu_cxx::__numeric_traits_integer< _Value >::__is_signed
template<typename _Value>
const _Value | __gnu_cxx::__numeric_traits_integer< _Value >::__max
template<typename _Value>
const _Value | __gnu_cxx::__numeric_traits_integer< _Value >::__min

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file ext/numeric_traits.h.

## Macro Definition Documentation

## __glibcxx_digits10

#define __glibcxx_digits10 | ( |  | _Tp | ) |

Definition at line 149 of file ext/numeric_traits.h.

## __glibcxx_floating

#define __glibcxx_floating | ( |  | _Tp,
|  |  | _Fval,
|  |  | _Dval,
|  |  | _LDval )

Definition at line 141 of file ext/numeric_traits.h.

## __glibcxx_max_digits10

#define __glibcxx_max_digits10 | ( |  | _Tp | ) |

Definition at line 145 of file ext/numeric_traits.h.

## __glibcxx_max_exponent10

#define __glibcxx_max_exponent10 | ( |  | _Tp | ) |

Definition at line 152 of file ext/numeric_traits.h.

## _GLIBCXX_INT_N_TRAITS

#define _GLIBCXX_INT_N_TRAITS | ( |  | T,
|  |  | WIDTH )

Definition at line 95 of file ext/numeric_traits.h.